Subject: bug#78121: tsx-ts-mode: wrong indentation of body with misindented args

From: Konstantin Kharlamov <[email-masked]>
Date: Thu, 01 May 2025 15:37:48 +0700

On Thu, 2025-05-01 at 14:55 +0700, Konstantin Kharlamov wrote:
> On Thu, 2025-05-01 at 00:40 -0700, Yuan Fu wrote:
> > 
> > 
> > > On Apr 29, 2025, at 11:10 AM, Konstantin Kharlamov
> > > <[email-masked]> wrote:
> > > 
> > > On Tue, 2025-04-29 at 22:38 +0700, Konstantin Kharlamov wrote:
> > > > On Tue, 2025-04-29 at 22:21 +0700, Konstantin Kharlamov wrote:
> > > > > I wrote a fix and added a test, please review.
> > > > > 
> > > > > I did not touch the situation discussed in P.S. (should I
> > > > > maybe
> > > > > create
> > > > > a separate issue for that?), this only fixes the problem
> > > > > reported.
> > > > 
> > > > v2: improved the test to cover potential edge case, clarified
> > > > description.
> > > 
> > > v3: typo in test name
> > > <1.patch>
> > 
> > Thank you very much! I see your point. But could you make the test
> > simpler, so it’s easier to see the intent of the test? 
> 
> Sure, which part do you find worth improving?  I did a few amendments
> (attached), which might make the test prettier, will be glad to hear
> if
> I can improve it further.  That aside, I am hopeful the test
> description provides the information about test purpose.
> 
> v4: 1. made parameter names alphabetic (and thus equally sized), 2.
> aligned every 2nd param to the 1st one. Initially I avoided this on
> purpose, but while writing an email I figured my reasoning missed a
> point, aligning them is fine.

In case the question is about the function declarations being embedded:
at least f2 is purpose.  f2 tests that if a function is embedded, it
still results in expected indentation. I could move f3 out though, but
this would result in increase of the ELisp that does indentation
(because right now I indent everything up to (point-max), but if I move
f3 out, I'd have to indent two places separately).  That aside, I think
it's also nice to have more tests for embedded functions 😊